unit unit5;

interface

uses Classes, sysutils, QStdCtrls, QButtons, QControls,
  QGraphics, QExtCtrls,QForms,Qt;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Versionab: TLabel;
    Copyright: TLabel;
    label5: TLabel;
    label6: TLabel;
   procedure Label6Click(Sender: TObject);
    procedure OpenObject(sObjectPath : PChar);
    procedure Label5Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label5MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label6MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure OKButtonClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation
uses unit1;
{$R *.dfm}

procedure TAboutBox.OpenObject(sObjectPath : PChar);
begin
 //ShellExecute(0, Nil, sObjectPath, Nil, Nil, SW_NORMAL);
end;



procedure TAboutBox.Label6Click(Sender: TObject);

var TempString : array[0..79] of char;
begin
StrPCopy(TempString,label6.Caption);
OpenObject(TempString);
end;



procedure TAboutBox.Label5Click(Sender: TObject);

var chaine:string;
    TempString : array[0..79] of char;
begin
chaine:='MAILTO:'+label5.Caption;
StrPCopy(TempString,chaine);
OpenObject(TempString);
end;


procedure TAboutBox.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
label5.font.color:=clpurple;
label5.font.style:=label5.font.style-[fsunderline];
label6.font.style:=label6.font.style-[fsunderline];
label6.font.color:=clpurple;

end;

procedure TAboutBox.Label5MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);

begin
label6.font.style:=label6.font.style-[fsunderline];
label6.font.color:=clpurple;
label5.font.color:=clblue;
label5.font.style:=label5.font.style+[fsunderline];
end;

procedure TAboutBox.Label6MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
label5.font.color:=clpurple;
label5.font.style:=label5.font.style-[fsunderline];
label6.font.color:=clblue;
label6.font.style:=label6.font.style+[fsunderline];
end;

procedure TAboutBox.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
//if key=key_f1 then application.helpjump('sommaire');
end;

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
aboutbox.close;
end;

procedure TAboutBox.FormActivate(Sender: TObject);
begin
aboutbox.versionab.caption:='Version '+version;
end;

end.

 
