unit unit1;

interface

uses
  SysUtils, Classes,  QControls,Qforms, QGraphics,Qt,
   QDialogs, QStdCtrls, QButtons, QExtCtrls,QPrinters,inifiles,
     unit5, QComCtrls, QGrids;   //tabs    Spin  Grids,

  function Puissance(X, N : extended) : extended;

  type
  edepasse= class(Exception);
  TForm1 = class(TForm)
    //PrintDialog1: TPrintDialog;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Panel1: TPanel;
    BitBtn9: TBitBtn;
    BitBtn3: TBitBtn;
    apropos: TBitBtn;
    Button2: TButton;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    assur: TEdit;
    dossier: TEdit;
    Label17: TLabel;
    Label16: TLabel;
    Label4: TLabel;
    rembours: TEdit;
    nombre: TEdit;
    Label3: TLabel;
    Label2: TLabel;
    capital: TEdit;
    comment: TEdit;
    Label15: TLabel;
    Label8: TLabel;
    actuariel: TEdit;
    Label10: TLabel;
    Edit1: TEdit;
    Label11: TLabel;
    RadioButton2: TRadioButton;
    Label9: TLabel;
    RadioButton1: TRadioButton;
    coutotal: TEdit;
    coutcredit: TEdit;
    Label13: TLabel;
    Label12: TLabel;
    calcul: TBitBtn;
    BitBtn1: TBitBtn;
    StringGrid2: TStringGrid;
    Label6: TLabel;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Label5: TLabel;
    BitBtn6: TBitBtn;
    StringGrid1: TStringGrid;
    Label14: TLabel;
    BitBtn7: TBitBtn;
    BitBtn8: TBitBtn;
    StringGrid3: TStringGrid;
    
    procedure calculClick(Sender: TObject);
    procedure stringgrid2KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
    procedure noBitBtn1Click(Sender: TObject);
    procedure nombreChange(Sender: TObject);
    procedure remboursChange(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure aproposClick(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure capitalChange(Sender: TObject);
    procedure periodeChange(Sender: TObject);
    procedure javanceChange(Sender: TObject);
    procedure actuarielChange(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure remplitableau;
    procedure remplitamort;
    procedure calculTEG(sender:tobject);
    procedure Button2Click(Sender: TObject);
    procedure donnef;
    function tauxzero(sender:tobject):boolean;
    procedure calcultaux;
    procedure mensuelChange(Sender: TObject);  {mode avanc}
    procedure dossierExit(Sender: TObject);   {intgre ce cot au cot total}
    procedure coute;  {vrifie la date saisie}
    procedure assurExit(Sender: TObject);
    procedure dossierChange(Sender: TObject); {recalculer les cots}
    procedure assurChange(Sender: TObject);  {recalculer les cots}
    procedure Tauxbrut;
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject); {recherche du taux d'amortissement}
   procedure NoBtnClick(Sender: TObject);

    procedure StringGrid3MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure BitBtn8Click(Sender: TObject);
    procedure StringGrid3KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure BitBtn7Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure BitBtn3Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure StringGrid2GetEditText(Sender: TObject; ACol, ARow: Integer;
      var Value: WideString);

  private
    { Private-dclarations }
  public
   procedure appexception(Sender: TObject; E: Exception);
   procedure DisplayHint(Sender: TObject);
 { Public-dclarations }
  end;

var
  Form1: TForm1;
  t1:extended;     {L7}
  t2:extended;     {L8}

  t3:extended;     {L12}
  van3:extended;   {L13}
  van2:extended;   {L10}
  van31:extended;  {L16}
  t31:extended;    {L17}
  van4:extended;   {L18}
  t4:extended;     {L19}

  van5:extended;   {L21}
  van1:extended;   {L9}

  tbrut:extended;          {taus priodique hors dossier et hors assurance}
  tperio:extended;  {L20}  {taux priodique frais de dossier et assurance incluse}
  cap:extended;    {L2}   {capital de dpart}
  f:integer;        {L5}  {frquence de paiement}
  ja:extended;    {L6}    {jours d'avances}
  taux:extended;   {L25}  {taux proportionnel}
  actua:extended;  {L24}  {taux actuariel}
  mensu:extended;         {taux mensuel}
  nbremb:integer;         {nombre d'chances}
  montant:extended;       {montant d'une chance}
  coucredit,couttotal:extended; {cot du crdit, cot total}
  vdossier:extended;      {frais de dossier : le montant}
  assurance:extended;     {assurances : le montant}

  {pour mmoire :
  capinet=cap-vdossier
  jouparan=365 sauf annes bissextiles : inclusion du 29 fvrier = 366}


const
version='1.03';

implementation

{$R *.dfm}
procedure TForm1.DisplayHint(Sender: TObject);
begin
  Panel1.Caption := Application.Hint;
end;


function Puissance(X, N : extended) : extended;
var
  t : longint;
  r : extended;
  isInteger : boolean;
begin

   if N = 0 then begin
      result := 1.0;
      exit;
   end;

   if X = 1.0 then begin
      result := 1.0;
      exit;
   end;

   if X = 0.0 then begin
      if N > 0.0 then
         begin
           result := 0.0;
           exit;
         end
      else
        raise Edepasse.Create('Resultat infini');
   end;

   if (X > 0) then
      try
         result := exp(N * ln(X));
         exit;
      except
         raise edepasse.Create('Dpassement de capacit');
   end;


  try
     t := trunc(n);
     if (n - t) = 0 then
        isInteger := true
     else
        isInteger := False;
  except

     r := int(n);
     if (n - r) = 0 then
        begin
           isInteger := true;
           if frac(r/2) = 0.5 then
              t := 1
           else
              t := 2;
        end
     else
        isInteger := False;
  end;

  if isInteger then
      begin
         {n is an integer}
         if odd(t) then
            {n is odd}
            try
               result := -exp(N * ln(-X));
               exit;
            except
               raise edepasse.Create('Dpassement de capacit');
            end
         else
            {n is even}
            try
               result := exp(N * ln(-X));
               exit;
            except
               raise edepasse.Create('Dpassement de capacit');
            end;
      end
   else
      raise edepasse.Create('Nombre complexe ! Calcul impossible');

end;


function van(letaux:extended):extended;
var n:integer;
    chaine:string;
    erreur:integer;
    quotient,partiel:extended;
begin
result:=0;
for n:=1 to nbremb do
    begin
    chaine:=form1.stringgrid2.cells[1,n]; {l'chance...}
    val(chaine,partiel,erreur);
    partiel:=partiel+assurance; {<-- AJOUT DE L'ASSURANCE}
    quotient:=puissance(letaux+1,n);
    partiel:=partiel/quotient;
    result:=result+partiel;
    end;
end;

procedure tform1.remplitableau;  {remboursements}
var chaine:string;
    erreur:integer;
    n:integer;

begin
chaine:=nombre.text;
val(chaine,nbremb,erreur);
chaine:=rembours.text;
val(chaine,montant,erreur);
if nbremb>0 then
form1.stringgrid2.rowcount:=nbremb+1 else
 begin
 form1.stringgrid2.rowcount:=2;
 form1.stringgrid2.cells[1,1]:='';
 form1.stringgrid2.fixedrows:=1;
 end;
form1.stringgrid2.cells[0,0]:='remb.n';
form1.stringgrid2.cells[1,0]:='montant';
for n:=1 to nbremb do
    begin
    str(n,chaine);
    form1.stringgrid2.cells[0,n]:=chaine;
    form1.stringgrid2.cells[1,n]:=rembours.text;
    end;
chaine:=capital.text;
val(chaine,cap,erreur);
couttotal:=nbremb*montant;
couttotal:=vdossier+couttotal+nbremb*assurance; {rajout vdossier !!}
coucredit:=couttotal-cap;
end;

procedure tform1.coute;  {ne ncessite pas de taux !}
var n,erreur:integer;
    temp:extended;


begin


if rembours.text<>'variable' then
couttotal:=nbremb*montant+vdossier else
     begin
     couttotal:=vdossier;
     for n:=1 to nbremb do
         begin
         val(form1.stringgrid2.cells[1,n],temp,erreur);
         couttotal:=couttotal+temp;
         end;

     end;
couttotal:=couttotal+nbremb*assurance;
coucredit:=couttotal-cap;
end;


function tform1.tauxzero(sender:tobject):boolean;

begin
NoBtnClick(sender);
coute;
if coucredit=0 then
   begin
   result:=true;
   taux:=0;
   actua:=0;

   mensu:=0;
   actuariel.text:='0';

   edit1.text:='0';
   coutotal.text:=capital.text;
   coutcredit.text:='0';
   {+ affichage}
   end else result:=false;
end;

procedure tform1.calcultaux;
var chaine:string;
begin

   {calcul des taux}
   if mensu<>0 then
      begin
      taux:=mensu*12;
      {25042001->}
      tperio:=mensu*12/f/100;
      {<-25042001}
      actua:=(puissance((1+(mensu/100)),f)-1)*100;
      end else
      if taux<>0 then
      begin
      mensu:=taux/12;
     {25042001->}
      tperio:=taux/f/100;
      {<-25042001}
      actua:=(puissance((1+(mensu/100)),f)-1)*100;
      end else
      if actua<>0 then
      begin
      mensu:=100*(puissance((1+(actua/100)),1/f)-1);
      {25042001->}
      tperio:=mensu*12/f/100;
      {<-25042001}
      taux:=mensu*12;
      end;
   str(mensu:0:8,chaine);

   str(actua:0:8,chaine);
   actuariel.text:=chaine;
   str(taux:0:8,chaine);
   edit1.text:=chaine;
   str((tperio*100):0:8,chaine);


end;

procedure detruitligne(numero:integer);
var n:integer;
begin
if form1.stringgrid3.rowcount>2 then {antipanne}
  begin
  for n:=numero to form1.stringgrid3.rowcount-2 do
    begin
    form1.stringgrid3.cells[0,n]:=form1.stringgrid3.cells[0,n+1];
    form1.stringgrid3.cells[1,n]:=form1.stringgrid3.cells[1,n+1];
    form1.stringgrid3.cells[2,n]:=form1.stringgrid3.cells[2,n+1];
    form1.stringgrid3.cells[3,n]:=form1.stringgrid3.cells[3,n+1];
    form1.stringgrid3.cells[4,n]:=form1.stringgrid3.cells[4,n+1];
    form1.stringgrid3.cells[5,n]:=form1.stringgrid3.cells[5,n+1];
    end;
  form1.stringgrid3.rowcount:=form1.stringgrid3.rowcount-1;
  end
else form1.stringgrid3.rows[1].clear;
end;

procedure liste_ajoute; {ajoute le calcul dans la liste}

var identifiant:string;
    n,resultat:integer;
    Azt: array[0..179] of Char;
    temp,etendu:extended;
    erreur:integer;
begin
{1- vrifier si un calcul existe dj avec le mme nom}
identifiant:=form1.comment.text;
for n:=1 to form1.stringgrid3.rowcount-1
do if identifiant=form1.stringgrid3.cells[0,n] then
{2- Eventuellement, demander s'il faut l'craser}
      begin
      identifiant:=inttostr(n)+' '+form1.stringgrid3.cells[0,n];
      strpcopy(azt,'remplacer "'+identifiant+'" existant ?');

      if messagedlg('Attention',azt, mtWarning,[mbYes,mbNo],0,mbYes
       )=mrYes then detruitligne(n);   {a ne va pas !}
      end;
{3- Ajouter  la liste}
resultat:=form1.stringgrid3.rowcount;
if (resultat>2) or ((resultat=2) and (form1.stringgrid3.cells[1,1]<>'')) then
form1.stringgrid3.rowcount:=form1.stringgrid3.rowcount+1;
resultat:=form1.stringgrid3.rowcount-1;
form1.stringgrid3.cells[0,resultat]:=form1.comment.text;
form1.stringgrid3.cells[1,resultat]:=form1.capital.text;
form1.stringgrid3.cells[2,resultat]:=form1.nombre.text;
form1.stringgrid3.cells[3,resultat]:=form1.rembours.text;
if form1.radiobutton2.checked then
form1.stringgrid3.cells[4,resultat]:=form1.edit1.text
else form1.stringgrid3.cells[4,resultat]:=form1.actuariel.text;
form1.stringgrid3.cells[5,resultat]:=form1.coutcredit.text;
etendu:=couttotal;
for n:=1 to form1.stringgrid2.rowcount-1 do
 begin
 val(form1.stringgrid2.cells[1,n],temp,erreur);
 etendu:=etendu-temp;
 end;
decimalseparator:='.';
 form1.stringgrid3.cells[6,resultat]:=floattostrf(etendu,fffixed,15,2);
{frais annexes colonne6= couttotal-mensualits} {###############}

end;

procedure tform1.calculclick(sender:tobject);



var
     erreur:integer;
     chaine:string;
begin

chaine:=nombre.text;
val(chaine,nbremb,erreur);
if nbremb=0 then
   begin
   raise Edepasse.Create('Vous devez prciser le nombre d''chances');
   exit;
   end;
{chercher la variable manquante et calculer...}
chaine:=capital.text;
cap:=0;

val(chaine,cap,erreur);
dossierexit(sender);
assurexit(sender);
Nobtnclick(sender);
if (cap<>0) and (couttotal<>0) then
   begin
   {recherche du TEG}
   {1- taux zro}
    if not tauxzero(sender) then

   {2- calcul normal}
   calculteg(sender);
   end else
   begin
   {recherche du capital ou de la mensualit}
   {periode.itemindex:=0;
   f:=12;
   javance.text:='';
   ja:=0;        }
   donnef;
   chaine:=rembours.text;
   mensu:=0;
   val(chaine,mensu,erreur);
   chaine:=edit1.text;
   taux:=0;
   val(chaine,taux,erreur);
   chaine:=actuariel.text;
   actua:=0;
   val(chaine,actua,erreur);
   calcultaux;
   {calcul du capital}
   if (cap=0) and (montant<>0) then {calcule le capital}
      begin

      cap:=0;
      {for n:=1 to nbremb do
       cap:=cap+(montant/puissance(1+mensu/100,n/f));}
       {ci-dessous tperio   la place de mensu 25 04 2001}
      cap:=100*montant*(1-puissance(1+tperio,-nbremb))/(tperio*100);
      {25042001->}
      cap:=cap-cap*(puissance(1+tperio,-ja*f/365)-1);
      {<-25042001}
      str(cap:0:2,chaine);
      capital.text:=chaine;
      end;
  {calcul de la mensualit}
   if (montant=0) and (cap<>0) then {calcule la mensualit}
      begin
      {periode.itemindex:=0;
      f:=12;
      javance.text:='';}
      {25042001->}
      cap:=cap+cap*(puissance(1+tperio,-ja*f/365)-1);
      {<-25042001}
       {ci-dessous tperio   la place de mensu 25 04 2001}
      montant:=100*tperio*cap/((1-puissance(1+tperio,-nbremb))*100);
      str(montant:0:2,chaine);
      rembours.text:=chaine;
      end;
if (montant=0) and (cap=0) then {pas assez de donnes}
  begin
  raise Edepasse.Create('Vous devez me fournir plus d''informations');
  exit;
  end;
   end; {elsebegin pas calcul du taux}



str(actua:0:8,chaine);
actuariel.text:=chaine;



str(taux:0:8,chaine);
edit1.text:=chaine;
coute;
str(couttotal:0:2,chaine);
coutotal.text:=chaine;

str(coucredit:0:2,chaine);
coutcredit.text:=chaine;
if f=0 then donnef;
remplitamort;
bitbtn1.enabled:=true;
calcul.font.color:=clGreen;
liste_ajoute;
{ajouter  la liste }
end;


procedure tform1.donnef;
begin
 f:=12;
end;



procedure TForm1.calculTEG(sender:tobject);
var

    intermed:extended;
    delta:extended;
    capinet:extended;
    jourparan:integer;
begin
jourparan:=365;
screen.cursor:=crHourglass;
actuariel.text:='';
edit1.text:='';
t1:=0;
t2:=0;
t3:=0;
van3:=0;
van2:=0;
van31:=0;
t31:=0;
van4:=0;
t4:=0;
tperio:=0;
van5:=0;
van1:=0;
capinet:=cap-vdossier;

{if btnrightdlg.visible=true then Nobtnclick(sender);}
donnef;



t1:=199/f/100;
t2:=0/f/100;

intermed:=puissance(t1+1,-ja/(jourparan/f));
van1:=van(t1)-capinet*intermed; {L9}
intermed:=puissance(t2+1,-ja/(jourparan/f));
van2:=van(t2)-(capinet*intermed); {L10}
if van1*van2>=0 then
begin
raise Edepasse.Create('Rsultat hors de mes limites de calcul');
screen.cursor:=crdefault;
exit;
end;
t3:=((t2*van1)-(t1*van2))/(van1-van2); {L12}
intermed:=puissance(t3+1,-ja/(jourparan/f));
van3:=van(t3)-(capinet*intermed); {L13}
van31:=van3; {1re itration}
t31:=t3;     {1re itration}
if van3<0 then                  {1re itration}
   begin
   van4:=van2; {L14-->L18}
   t4:=t2;     {L15-->L19}
   end else
   begin
   van4:=van1; {L14-->L18}
   t4:=t1;     {L15-->L19}
   end;
{fin de la premire itration}
{calculer 1 fois tperio,van5 puis : rptitions}
repeat
if van31*van5>0 then
   begin
   van31:=van5; {L16}
   t31:=tperio;     {L17}
   end;
if van4*van5>0 then
   begin
   van4:=van5; {L16}
   t4:=tperio;     {L17}
   end;
tperio:=((t4*van31)-(t31*van4))/(van31-van4);
intermed:=puissance(tperio+1,-ja/(jourparan/f));
delta:=van5;
van5:=van(tperio)-(capinet*intermed); {L21}
delta:=abs(delta-van5);
until delta<0.000000000001;
actua:=(puissance((1+tperio),F)-1)*100;
taux:=tperio*100*f;     {propor=mensu*periode*100}
mensu:=tperio*100*f/12;   {ATTENTION DIFFERENT DE TAUX PERIODIQUE !!!}

bitbtn1.enabled:=true;

calcul.font.color:=clgreen;
screen.cursor:=crdefault;
end;

procedure TForm1.nombreChange(Sender: TObject);
begin
bitbtn1.enabled:=false;

calcul.font.color:=clred;
{if notebook1.activepage='calcul' then
begin
remplitableau;
if rembours.text='variable' then rembours.text:='';
end;}

end;

procedure TForm1.remboursChange(Sender: TObject);


begin
bitbtn1.enabled:=false;

calcul.font.color:=clred;
if rembours.text<>'variable' then
remplitableau;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
decimalseparator:='.';
couttotal:=0;
coucredit:=0;
remplitableau;
{if btnrightdlg.visible=false then remplitableau;}
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var chaine:string;
    largeur,hauteur:longint;
    hligne,lligne:longint;
    ratio:longint;
function fondepage:boolean;

begin
  printer.canvas.font.size:=ratio*4;
  {entte}
  chaine:='BzCrdit v.'+version;
  printer.canvas.textout(60,ratio,chaine);
  chaine:= FormatDateTime('dddd dd mmmm yyyy hh:mm', now);
  lligne:=largeur-printer.canvas.textwidth(chaine)-120;
  printer.canvas.textout(lligne,ratio,chaine);
  chaine:=' V. Beuselinck';
  lligne:=largeur-printer.canvas.textwidth(chaine)-120;
  hligne:=hauteur-printer.canvas.textheight(chaine)-ratio;
  printer.canvas.textout(lligne,hligne,chaine);
  {cadre}
  printer.canvas.moveto(60,6*ratio);
  printer.canvas.lineto(60,hauteur-12*ratio);
  printer.canvas.lineto(largeur-120,hauteur-12*ratio);
  printer.canvas.lineto(largeur-120,6*ratio);
  printer.canvas.lineto(60,6*ratio);
  {titre}
  printer.canvas.font.size:=9*ratio;
  chaine:='Tableau d''amortissement';
  lligne:=(largeur-printer.canvas.textwidth(chaine)) div 2 ;
  printer.canvas.textout(lligne,12*ratio,chaine);
  lligne:=12*ratio+printer.canvas.textheight(chaine);{en ralit lligne=hauteurtitre}
 {ligne sous titre}
  printer.canvas.moveto(60,lligne);
  printer.canvas.lineto(largeur-120,lligne);
{colonnade 1/2}
  printer.canvas.moveto(11*(largeur div 20),lligne);
  printer.canvas.lineto(11*(largeur div 20),hauteur-12*ratio);
  printer.canvas.moveto(13*(largeur div 20),lligne);
  printer.canvas.lineto(13*(largeur div 20),hauteur-12*ratio);
  printer.canvas.moveto(15*(largeur div 20),lligne);
  printer.canvas.lineto(15*(largeur div 20),hauteur-12*ratio);
  printer.canvas.moveto(17*(largeur div 20),lligne);
  printer.canvas.lineto(17*(largeur div 20),hauteur-12*ratio);

 {encadr}
  printer.canvas.moveto(largeur div 2,lligne);
  printer.canvas.lineto(largeur div 2, hauteur -12*ratio);

  {colonne 2 texte d'entte}
  printer.canvas.font.size:=5*ratio;
  chaine:='N';
  printer.canvas.textout(largeur div 2+
    ((largeur div 20)-printer.canvas.textwidth(chaine)) div 2,26*ratio,chaine);
  chaine:='montant';
  printer.canvas.textout(11*(largeur div 20)+
    ((largeur div 10)-printer.canvas.textwidth(chaine)) div 2,26*ratio,chaine);
  chaine:='intrts';
  printer.canvas.textout(13*(largeur div 20)+
    ((largeur div 10)-printer.canvas.textwidth(chaine)) div 2,26*ratio,chaine);
  chaine:='capital';
  printer.canvas.textout(15*(largeur div 20)+
    ((largeur div 10)-printer.canvas.textwidth(chaine)) div 2,26*ratio,chaine);
  chaine:='cap. d';
  printer.canvas.textout(17*(largeur div 20)+
    (largeur-60-(17*largeur div 20)-printer.canvas.textwidth(chaine)) div 2,26*ratio,chaine);

  printer.canvas.font.size:=6*ratio;
end;

function page2:boolean;

begin
 {deuxime colonne sous cellule montant}
  printer.canvas.moveto(60,lligne+printer.canvas.textheight(chaine));
  printer.canvas.lineto(largeur-120,lligne+printer.canvas.textheight(chaine));
{colonnade 1/1}
  printer.canvas.moveto(60+(largeur div 20),lligne);
  printer.canvas.lineto(60+(largeur div 20),hauteur-12*ratio);
  printer.canvas.moveto(60+3*(largeur div 20),lligne);
  printer.canvas.lineto(60+3*(largeur div 20),hauteur-12*ratio);
  printer.canvas.moveto(60+5*(largeur div 20),lligne);
  printer.canvas.lineto(60+5*(largeur div 20),hauteur-12*ratio);
  printer.canvas.moveto(60+7*(largeur div 20),lligne);
  printer.canvas.lineto(60+7*(largeur div 20),hauteur-12*ratio);

 {colonne 1 texte d'entte}
  printer.canvas.font.size:=5*ratio;
  chaine:='N';
  printer.canvas.textout(60+
    ((largeur div 20)-printer.canvas.textwidth(chaine)) div 2,26*ratio,chaine);
  chaine:='montant';
  printer.canvas.textout(60+(largeur div 20)+
    ((largeur div 10)-printer.canvas.textwidth(chaine)) div 2,26*ratio,chaine);
  chaine:='intrt';
  printer.canvas.textout(60+(3*largeur div 20)+
    ((largeur div 10)-printer.canvas.textwidth(chaine)) div 2,26*ratio,chaine);
  chaine:='capital';
  printer.canvas.textout(60+(5*largeur div 20)+
    ((largeur div 10)-printer.canvas.textwidth(chaine)) div 2,26*ratio,chaine);
  chaine:='cap. d';
  printer.canvas.textout(60+(7*largeur div 20)+
    ((3*largeur div 20)-printer.canvas.textwidth(chaine)) div 2,26*ratio,chaine);

end;

function page1:boolean;          {ratio corrections}

begin
 {deuxime colonne sous cellule montant}
  printer.canvas.moveto(largeur div 2,lligne+printer.canvas.textheight(chaine));
  printer.canvas.lineto(largeur-120,lligne+printer.canvas.textheight(chaine));

  printer.canvas.moveto(largeur div 2, hauteur div 2);
  printer.canvas.lineto(60, hauteur div 2);
  {premire colonne sous cellule montant}
  printer.canvas.moveto(60, (hauteur div 2)+printer.canvas.textheight(chaine));
  printer.canvas.lineto(largeur div 2, (hauteur div 2)+printer.canvas.textheight(chaine));
 {colonnade 1/1}
  printer.canvas.moveto(60+(largeur div 20),hauteur div 2);
  printer.canvas.lineto(60+(largeur div 20),hauteur-12*ratio);
  printer.canvas.moveto(60+3*(largeur div 20),hauteur div 2);
  printer.canvas.lineto(60+3*(largeur div 20),hauteur-12*ratio);
  printer.canvas.moveto(60+5*(largeur div 20),hauteur div 2);
  printer.canvas.lineto(60+5*(largeur div 20),hauteur-12*ratio);
  printer.canvas.moveto(60+7*(largeur div 20),hauteur div 2);
  printer.canvas.lineto(60+7*(largeur div 20),hauteur-12*ratio);

 {texte}
  printer.canvas.font.size:=6*ratio;

  printer.canvas.textout(100,35*ratio,comment.text);
  {capital}
  chaine:='CAPITAL : '+capital.text;
  lligne:=0;
  hligne:=printer.canvas.textheight(chaine);
  printer.canvas.textout(100,35*ratio+hligne*2,chaine);
  {nombre de remboursements}
  chaine:=' nombre de remboursement : '+nombre.text;
  printer.canvas.textout(100,35*ratio+hligne*3,chaine);
  chaine:=' montant d''un remboursement : '+rembours.text;
  printer.canvas.textout(100,35*ratio+hligne*4,chaine);
  if assur.text<>'' then
     begin
     chaine:=' assurance : '+assur.text;
     printer.canvas.textout(100,35*ratio+hligne*5,chaine);
     end;
  if dossier.text<>'' then
     begin
     chaine:=' frais de dossier : '+dossier.text;
     printer.canvas.textout(100,35*ratio+hligne*7,chaine);
     end;


  printer.canvas.font.style:=[FsBold];
  chaine:='TEG actuariel : '+actuariel.text+' %';
  printer.canvas.textout((largeur div 2-printer.canvas.textwidth(chaine))div 2+50,
  35*ratio+hligne*10,chaine);

  chaine:='TEG proportionnel : '+edit1.text+' %';
  printer.canvas.textout((largeur div 2-printer.canvas.textwidth(chaine))div 2+50,
  35*ratio+hligne*12,chaine);

  printer.canvas.font.style:=[];
  str(coucredit:0:2,chaine);
  chaine:=' cot du crdit : '+chaine;
  printer.canvas.textout(100,35*ratio+hligne*16,chaine);

  str(couttotal:0:2,chaine);
  chaine:=' cot total : '+chaine;
  printer.canvas.textout(100,35*ratio+hligne*18,chaine);

  printer.canvas.font.size:=5*ratio;
  {colonne 1 texte d'entte              }
  chaine:='N';
  printer.canvas.textout(60+
    ((largeur div 20)-printer.canvas.textwidth(chaine)) div 2,(hauteur div 2)+ratio,chaine);
     chaine:='montant';
  printer.canvas.textout(60+largeur div 20+
    ((largeur div 10)-printer.canvas.textwidth(chaine)) div 2,(hauteur div 2)+ratio,chaine);
  chaine:='interts';
  printer.canvas.textout(60+3*(largeur div 20)+
    ((largeur div 10)-printer.canvas.textwidth(chaine)) div 2,(hauteur div 2)+ratio,chaine);
  chaine:='capital';
  printer.canvas.textout(60+5*(largeur div 20)+
    ((largeur div 10)-printer.canvas.textwidth(chaine)) div 2,(hauteur div 2)+ratio,chaine);
  chaine:='cap. d';
  printer.canvas.textout(60+7*(largeur div 20)+
    ((3*largeur div 20)-printer.canvas.textwidth(chaine)) div 2,(hauteur div 2)+ratio,chaine);


end;


var date:string;
    erreur:integer;

    n:word; {numro de ligne de remboursement}
    chn:string;
    montant:extended;
    chmontant:string;
    chcapdu,chmens:string;
    rap:extended;
    chrap:string;
    reste,reste2,reste3:word; {nb de reboursements sur 1re colonne}
begin
  remplitamort;
  screen.cursor:=crhourglass;
  hauteur:=printer.pageheight;
  largeur:=printer.pagewidth;
  ratio:=printer.YDPI div printer.XDPI;  {ratio=pixels par millimtre}
  ratio:=2*ratio div 3;
  {ratio:=hauteur div 660;}     {donne la mme chose que getdevicecaps div 2 ! }
  {if ratio<5 then ratio:=5;{6} {pour la HP ratio=4 !!}
  printer.canvas.font.size:=6*ratio;
  printer.canvas.font.name:='Times New Roman';
  printer.canvas.pen.width:= ratio div 2;
  Printer.Title := 'BzCrdit';
  printer.begindoc;
 

  fondepage;
  page1;{sauf amortissement}
  reste2:=0;
  { partir de l, je fais les colonnades de remboursement}
  rap:=couttotal;
  reste:=0;
  hligne:=printer.canvas.textheight(chaine);
  for n:=1 to nbremb do
   begin
   str(n,chn);
   chmontant:=form1.stringgrid1.cells[1,n]; {interets rembourss}
   val(chmontant,montant,erreur);
   str(montant:0:2,chmontant);
   chrap:=form1.stringgrid1.cells[2,n];   {capital rembours}
   chcapdu:=form1.stringgrid1.cells[3,n];   {capital restant d}
   chmens:=form1.stringgrid2.cells[1,n];

  if (hauteur div 2)+9*ratio+hligne*(n+1)<hauteur-12*ratio then   {15032001 = *n}
  begin{1re colonne}
   printer.canvas.textout(60+((largeur div 20)-printer.canvas.textwidth(chn)) div 2,
   (hauteur div 2)+9*ratio+hligne*n,chn);
   printer.canvas.textout(60+(3*largeur div 20)-printer.canvas.textwidth(chmens)-30,
   (hauteur div 2)+9*ratio+hligne*n,chmens);
   printer.canvas.textout(60+(5*largeur div 20)-printer.canvas.textwidth(chmontant)-30,
   (hauteur div 2)+9*ratio+hligne*n,chmontant);
   printer.canvas.textout(60+(7*largeur div 20)-printer.canvas.textwidth(chrap)-30,
   (hauteur div 2)+9*ratio+hligne*n,chrap);
   printer.canvas.textout((largeur div 2)-printer.canvas.textwidth(chcapdu)-30,
   (hauteur div 2)+9*ratio+hligne*n,chcapdu);
   reste:=n;
   end else
   if (37*ratio+hligne*(n+1-reste))<hauteur-12*ratio then
   begin{2me colonne}
   printer.canvas.textout(largeur div 2+((largeur div 20)-printer.canvas.textwidth(chn)) div 2,
   37*ratio+hligne*(n-reste),chn);
   printer.canvas.textout((13*largeur div 20)-printer.canvas.textwidth(chmens)-30,
   37*ratio+hligne*(n-reste),chmens);
   printer.canvas.textout((15*largeur div 20)-printer.canvas.textwidth(chmontant)-30,
   37*ratio+hligne*(n-reste),chmontant);
   printer.canvas.textout((17*largeur div 20)-printer.canvas.textwidth(chrap)-30,
   37*ratio+hligne*(n-reste),chrap);
   printer.canvas.textout(largeur-printer.canvas.textwidth(chcapdu)-120,{devrait tre -30 mais a foire}
   37*ratio+hligne*(n-reste),chcapdu);        {tait -150 21/01/2002}


   reste2:=n;
   end;
   end;{fin de la premire page}
  printer.canvas.pen.width:=ratio;
   if nbremb>reste then
   begin
   {zedage sur 2me colonne}
   if 37*ratio+hligne*(nbremb-reste+1)<hauteur-120 then
   begin
   printer.canvas.moveto(largeur-120,37*ratio+hligne*(nbremb-reste+1));
   printer.canvas.lineto(largeur div 2,37*ratio+hligne*(nbremb-reste+1));
   printer.canvas.lineto(largeur-120,hauteur-12*ratio);
   printer.canvas.lineto(largeur div 2,hauteur-12*ratio);
   end;
   end
   else
   begin
   {zedage complet colonne 2}
   reste2:=reste;     {pas de page 2 puisque la colonne 1 a tout rempli !}
   printer.canvas.moveto(largeur-120,37*ratio);
   printer.canvas.lineto(largeur div 2,37*ratio);
   printer.canvas.lineto(largeur-120,hauteur-12*ratio);
   printer.canvas.lineto(largeur div 2,hauteur-12*ratio);
   {zedage sur 1re colonne}
   if (hauteur div 2)+9*ratio+hligne*(nbremb+1)<hauteur-12*ratio then
   begin
   printer.canvas.moveto(largeur div 2,(hauteur div 2)+9*ratio+hligne*(nbremb+1));
   printer.canvas.lineto(60,(hauteur div 2)+9*ratio+hligne*(nbremb+1));
   printer.canvas.lineto(largeur div 2,hauteur-12*ratio);
   printer.canvas.lineto(60,hauteur-12*ratio);
   end;
   end;
  printer.canvas.pen.width:=ratio div 2;
   reste3:=nbremb;
   {deuxime page :::}
   if reste2<nbremb then
   begin
   printer.newpage;
   hauteur:=printer.pageheight;
   largeur:=printer.pagewidth;
   fondepage;
   page2;
   for n:=reste2+1 to nbremb do
       begin
       str(n,chn);
       chmontant:=form1.stringgrid1.cells[1,n]; {interets rembourss}
       val(chmontant,montant,erreur);
       str(montant:0:2,chmontant);
       chrap:=form1.stringgrid1.cells[2,n];   {capital rembours}
       chcapdu:=form1.stringgrid1.cells[3,n];   {capital restant d}
       chmens:=form1.stringgrid2.cells[1,n];
       hligne:=printer.canvas.textheight(chmens);
       if 37*ratio+hligne*(n-reste2+1)<hauteur-12*ratio then   {15032001 = *n}
       begin{1re colonne}
       printer.canvas.textout(60+((largeur div 20)-printer.canvas.textwidth(chn)) div 2,
       37*ratio+hligne*(n-reste2),chn);
       printer.canvas.textout(60+(3*largeur div 20)-printer.canvas.textwidth(chmens)-30,
       37*ratio+hligne*(n-reste2),chmens);
       printer.canvas.textout(60+(5*largeur div 20)-printer.canvas.textwidth(chmontant)-30,
       37*ratio+hligne*(n-reste2),chmontant);
       printer.canvas.textout(60+(7*largeur div 20)-printer.canvas.textwidth(chrap)-30,
       37*ratio+hligne*(n-reste2),chrap);
       printer.canvas.textout((largeur div 2)-printer.canvas.textwidth(chcapdu)-30,
       37*ratio+hligne*(n-reste2),chcapdu);

       reste:=n-reste2;
       end else
       if (37*ratio+hligne*(n-reste2+1-reste))<hauteur-12*ratio then
        begin{2me colonne}
        printer.canvas.textout(largeur div 2+((largeur div 20)-printer.canvas.textwidth(chn)) div 2,
        37*ratio+hligne*(n-reste2-reste),chn);
        printer.canvas.textout((15*largeur div 20)-printer.canvas.textwidth(chmontant)-30,
        37*ratio+hligne*(n-reste2-reste),chmontant);
        printer.canvas.textout((17*largeur div 20)-printer.canvas.textwidth(chrap)-30,
        37*ratio+hligne*(n-reste2-reste),chrap);
        printer.canvas.textout(largeur-printer.canvas.textwidth(chcapdu)-120,
        37*ratio+hligne*(n-reste2-reste),chcapdu);                 {tait -150 21/01/2002}
        printer.canvas.textout((13*largeur div 20)-printer.canvas.textwidth(chmens)-30,
        37*ratio+hligne*(n-reste2-reste),chmens);
        reste3:=n;
        end;
      end;   {for}

   end;{while}
   printer.canvas.pen.width:=ratio;
   if printer.pagenumber>1 then
   if nbremb>reste+reste2 then
    begin
   {zedage sur 2me colonne seulement}
   if 37*ratio+hligne*(nbremb-reste-reste2+1)<hauteur-12*ratio then
   begin
   printer.canvas.moveto(largeur-120,37*ratio+hligne*(nbremb-reste-reste2+1));
   printer.canvas.lineto(largeur div 2,37*ratio+hligne*(nbremb-reste2-reste+1));
   printer.canvas.lineto(largeur-120,hauteur-12*ratio);
   printer.canvas.lineto(largeur div 2,hauteur-12*ratio);
   end;
    end
   else
   begin
   {zedage complet colonne 2}
   printer.canvas.moveto(largeur-120,37*ratio);
   printer.canvas.lineto(largeur div 2,37*ratio);
   printer.canvas.lineto(largeur-120,hauteur-12*ratio);
   printer.canvas.lineto(largeur div 2,hauteur-12*ratio);
   {zedage sur 1re colonne}
   if 370+hligne*(nbremb-reste2+1)<hauteur-12*ratio then
   begin
   printer.canvas.moveto(largeur div 2,37*ratio+hligne*(nbremb-reste2+1));
   printer.canvas.lineto(60,37*ratio+hligne*(nbremb-reste2+1));
   printer.canvas.lineto(largeur div 2,hauteur-12*ratio);
   printer.canvas.lineto(60,hauteur-12*ratio);
   end;
   end;



  printer.enddoc; {est-ce ici qu'il faut tester aborted ?}
  screen.cursor:=crdefault;
  application.messagebox('travail d''impression termin','Imprimer',[smbok] ,sMsINFORMATION);


end;

procedure TForm1.aproposClick(Sender: TObject);
begin
aboutbox.showmodal;
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
begin
if key=',' then key:='.';

end;

procedure TForm1.capitalChange(Sender: TObject);
begin
bitbtn1.enabled:=false;

calcul.font.color:=clred;
assurexit(sender);
dossierexit(sender);
end;

procedure TForm1.periodeChange(Sender: TObject);
begin
bitbtn1.enabled:=false;
calcul.font.color:=clred;
donnef;
end;

procedure TForm1.javanceChange(Sender: TObject);
begin
bitbtn1.enabled:=false;
calcul.font.color:=clred;
end;

procedure TForm1.actuarielChange(Sender: TObject);
begin
bitbtn1.enabled:=false;
calcul.font.color:=clred;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
bitbtn1.enabled:=false;

calcul.font.color:=clred;
end;

procedure tform1.appexception(Sender: TObject; E: Exception);

begin
application.ShowException(E);{cette forme l est trop hard}

end;


procedure TForm1.FormCreate(Sender: TObject);
begin
Application.OnException := AppException;
Application.OnHint := DisplayHint;
{mettre les valeurs de base dans la liste}
stringgrid3.cells[0,0]:='dsignation';
stringgrid3.cells[1,0]:='montant';
stringgrid3.cells[2,0]:='dure';
stringgrid3.cells[3,0]:='mensualit';
stringgrid3.cells[4,0]:='taux';
stringgrid3.cells[5,0]:='cot du crdit';
stringgrid3.cells[6,0]:='dont frais';
end;

procedure TForm1.Button2Click(Sender: TObject);
{efface tout}
begin
bitbtn1.enabled:=false;
t1:=0;
t2:=0;
t3:=0;
van3:=0;
van2:=0;
van31:=0;
t31:=0;
van4:=0;
t4:=0;
tperio:=0;
van5:=0;
van1:=0;
cap:=0;
f:=12;        {L5}
ja:=0;
  taux:=0;
  actua:=0;
  mensu:=0;
  nbremb:=0;
  montant:=0;
  coucredit:=0;
  couttotal:=0;
  vdossier:=0;
  assurance:=0;
capital.text:='';
nombre.text:='';
rembours.text:='';

edit1.text:='';
coutotal.text:='';
coutcredit.text:='';

actuariel.text:='';

assur.text:='';
dossier.text:='';

form1.stringgrid2.rowcount:=2;
form1.stringgrid2.cells[1,1]:='';
form1.stringgrid2.fixedrows:=1;
form1.stringgrid2.rowcount:=2;
form1.stringgrid2.cells[1,1]:='';
form1.stringgrid2.fixedrows:=1;
end;

procedure TForm1.mensuelChange(Sender: TObject);
begin
bitbtn1.enabled:=false;

calcul.font.color:=clred;
end;

procedure TForm1.dossierExit(Sender: TObject);
var chaine : string;
erreur:integer;

begin
chaine:=dossier.text;
if pos('%', chaine)>0 then
   begin
   chaine:=copy(chaine,1,pos('%',chaine)-1);
   if chaine[length(chaine)]=' ' then chaine:=copy(chaine,1,length(chaine)-1);
    val(chaine,vdossier,erreur);
   vdossier:=(vdossier*cap)/100;
   end else val(chaine,vdossier,erreur);

end;



procedure TForm1.assurExit(Sender: TObject);

var chaine : string;
erreur:integer;

begin
{1- vrifier si non nul }
chaine:=assur.text;
if pos('%', chaine)>0 then
   begin

   {1- extraire %}
   chaine:=copy(chaine,1,pos('%',chaine)-1);
   if chaine[length(chaine)]=' ' then chaine:=copy(chaine,1,length(chaine)-1);
   val(chaine,assurance,erreur);
   assurance:=(cap*assurance)/100;
   end else val(chaine,assurance,erreur);

end;

procedure TForm1.dossierChange(Sender: TObject);
begin
bitbtn1.enabled:=false;

calcul.font.color:=clred;
end;

procedure TForm1.assurChange(Sender: TObject);
begin
bitbtn1.enabled:=false;

calcul.font.color:=clred;
end;

procedure TForm1.Tauxbrut;
  {taux brut est utilis par le tableau d'amortissement}
{fonction incluse dans Tauxbrut pour ignorer les frais : }
function vanbrut(letaux:extended):extended;
var n:integer;
    chaine:string;
    erreur:integer;
    quotient,partiel:extended;
begin
result:=0;
for n:=1 to nbremb do
    begin
    chaine:=form1.stringgrid2.cells[1,n]; {l'chance...}
    val(chaine,partiel,erreur);
    quotient:=puissance(letaux+1,n);
    partiel:=partiel/quotient;
    result:=result+partiel;
    end;
end;

var chaine:string;
    erreur:integer;
    intermed:extended;
    delta:extended;
    jourparan:integer;
begin
jourparan:=365;
t1:=0;
t2:=0;
t3:=0;
van3:=0;
van2:=0;
van31:=0;
t31:=0;
van4:=0;
t4:=0;
tbrut:=0;
van5:=0;
van1:=0;
donnef;

ja:=0;
val(chaine,ja,erreur);
t1:=199/f/100;
t2:=0/f/100;

intermed:=puissance(t1+1,-ja/(jourparan/f));
van1:=vanbrut(t1)-cap*intermed; {L9}
intermed:=puissance(t2+1,-ja/(jourparan/f));
van2:=vanbrut(t2)-(cap*intermed); {L10}
if van1*van2>=0 then
begin
screen.cursor:=crdefault;
tbrut :=0;
application.messagebox('pas de calcul d''amortissement possible','Information',[smbok],smsinformation);
exit;
end;
t3:=((t2*van1)-(t1*van2))/(van1-van2); {L12}
intermed:=puissance(t3+1,-ja/(jourparan/f));
van3:=vanbrut(t3)-(cap*intermed); {L13}
van31:=van3; {1re itration}
t31:=t3;     {1re itration}
if van3<0 then                  {1re itration}
   begin
   van4:=van2; {L14-->L18}
   t4:=t2;     {L15-->L19}
   end else
   begin
   van4:=van1; {L14-->L18}
   t4:=t1;     {L15-->L19}
   end;
{fin de la premire itration}
{calculer 1 fois tbrut, van5 puis : rptitions}
repeat
if van31*van5>0 then
   begin
   van31:=van5; {L16}
   t31:=tbrut;     {L17}
   end;
if van4*van5>0 then
   begin
   van4:=van5; {L16}
   t4:=tbrut;     {L17}
   end;
tbrut:=((t4*van31)-(t31*van4))/(van31-van4);
intermed:=puissance(tbrut+1,-ja/(jourparan/f));
delta:=van5;
van5:=vanbrut(tbrut)-(cap*intermed); {L21}
delta:=abs(delta-van5);
until delta<0.000000000001;
end;


procedure TForm1.BitBtn4Click(Sender: TObject);
var fichier:tinifile;
    chaine:string;

    n,erreur:integer;
begin
{ouverture}
if opendialog1.execute then
   begin
   fichier:=tinifile.create(opendialog1.filename);
   capital.text:=fichier.readstring('BzCrdit','Capital','');
   val(capital.text,cap,erreur);
   dossier.text:=fichier.readstring('BzCrdit','Dossier','');
   val(dossier.text,vdossier,erreur);


   nombre.text:=fichier.readstring('BzCrdit','Nombre','');
   val(nombre.text,nbremb,erreur);
   assur.text:=fichier.readstring('BzCrdit','Assurance','');
   val(assur.text,assurance,erreur);

   donnef;

   rembours.text:=fichier.readstring('BzCrdit','Montant','');
   val(rembours.text,montant,erreur);
   comment.text:=fichier.readstring('BzCrdit','Commentaire','');
   actuariel.text:=fichier.readstring('BzCrdit','Actuariel','');
   val(actuariel.text,actua,erreur);
   edit1.text:=fichier.readstring('BzCrdit','Proportionnel','');
   val(edit1.text,taux,erreur);
  coutotal.text:=fichier.readstring('BzCrdit','Cot_total','');
   val(coutotal.text,couttotal,erreur);
   coutcredit.text:=fichier.readstring('BzCrdit','Cot_Crdit','');
   val(coutcredit.text,coucredit,erreur);


   chaine:=fichier.readstring('BzCrdit','Calcul','');
   if chaine='true' then calcul.font.color:=clgreen else
      calcul.font.color:=clred;
   chaine:=fichier.readstring('BzCrdit','TBrut','');
   val(chaine,tbrut,erreur);
   {puis tableaux...}
  form1.stringgrid2.rowcount:=nbremb+1;
  form1.stringgrid2.rowcount:=nbremb+1;
  for n:=1 to nbremb do
  begin
  chaine:='dtail'+inttostr(n);
  chaine:=fichier.readstring('BzCrdit',chaine,'');
  form1.stringgrid2.cells[1,n]:=chaine;
  chaine:='int'+inttostr(n);
  chaine:=fichier.readstring('BzCrdit',chaine,'');
  form1.stringgrid2.cells[1,n]:=chaine;
  chaine:='cap'+inttostr(n);
  chaine:=fichier.readstring('BzCrdit',chaine,'');
  form1.stringgrid2.cells[2,n]:=chaine;
  chaine:='cdu'+inttostr(n);
  chaine:=fichier.readstring('BzCrdit',chaine,'');
  form1.stringgrid2.cells[3,n]:=chaine;
  end;
   fichier.free;
   end;
end;

procedure TForm1.BitBtn5Click(Sender: TObject);
var fichier: textfile;
    chaine:string;
    n:integer;
begin
{sauvegarde}
if savedialog1.execute then
   begin
   assignfile(fichier,savedialog1.filename);
   rewrite(fichier);
   writeln(fichier,'[BzCrdit]');
   writeln(fichier,'Capital='+capital.text);
   writeln(fichier,'Dossier='+dossier.text);

   writeln(fichier,'Nombre=',nombre.text);
   writeln(fichier,'Assurance='+assur.text);

   writeln(fichier,'Montant='+rembours.text);
   writeln(fichier,'Commentaire='+comment.text);
   writeln(fichier,'Actuariel='+actuariel.text);
   writeln(fichier,'Proportionnel='+edit1.text);

   writeln(fichier,'Cot_total='+coutotal.text);
   writeln(fichier,'Cot_Crdit='+coutcredit.text);


   if calcul.font.color=clgreen then
      writeln(fichier,'Calcul=true')
      else writeln(fichier,'Calcul=false');
   str(tbrut,chaine);
   writeln(fichier,'TBrut='+chaine);
   {puis les tableaux...}
   for n:=1 to form1.stringgrid2.rowcount-1 do
       writeln(fichier,'Dtail'+inttostr(n)+'='+form1.stringgrid2.cells[1,n]);
   {form1.stringgrid2
   et form1.stringgrid2}
 for n:=1 to form1.stringgrid2.rowcount-1 do
       begin
       writeln(fichier,'int'+inttostr(n)+'='+form1.stringgrid2.cells[1,n]);
       writeln(fichier,'cap'+inttostr(n)+'='+form1.stringgrid2.cells[2,n]);
       writeln(fichier,'cdu'+inttostr(n)+'='+form1.stringgrid2.cells[3,n]);
       end;

   closefile(fichier);
   end;
end;

procedure tform1.remplitamort;

var chaine:string;
    erreur:integer;
    n:integer;
    interet,capremb,caprest,smontant:extended;
    japlus:extended;
    jourparan:integer;
begin
jourparan:=365;
chaine:=form1.capital.text;
val(chaine,cap,erreur);
chaine:=form1.nombre.text;
val(chaine,nbremb,erreur);
chaine:=form1.rembours.text;
val(chaine,montant,erreur);
if nbremb>0 then
form1.stringgrid1.rowcount:=nbremb+1 else
 begin
 form1.stringgrid1.rowcount:=2;
 form1.stringgrid1.cells[1,1]:='';
 form1.stringgrid1.fixedrows:=1;
 end;
form1.stringgrid1.cells[0,0]:='remb.n';
form1.stringgrid1.cells[1,0]:='intrts';
form1.stringgrid1.cells[2,0]:='capital';
form1.stringgrid1.cells[3,0]:='cap. d';
form1.stringgrid1.colwidths[3]:=90;
caprest:=cap;

{if ja<0 then test:=1-puissance(tperio,-ja*f/jourparan)else test:=1;}
if ja>jourparan/f then exit;
form1.tauxbrut;
{rechercher tbrut=tperio hors frais et assurance qui ne sont pas amortissables !!!}
if ja<0 then japlus:=trunc(-100*cap*tbrut*ja/(jourparan/f))/100;
if ja<0 then caprest:=japlus+cap;
for n:=1 to nbremb do
    begin
    str(n,chaine);
    form1.stringgrid1.cells[0,n]:=chaine;
    { calculer :}
    {28 04 2001 ->}
    if (ja>0) and (n=1) then interet:=caprest*tbrut*((jourparan/f-ja)/(jourparan/f)) else
    {<- 28 04 2001}
    interet:=(caprest*tbrut);  {interets pour jourparan/f}
    {sauf si dlai rduit...}
    str(interet:0:2,chaine);
    form1.stringgrid1.cells[1,n]:=chaine;
    chaine:=form1.stringgrid2.cells[1,n];
    val(chaine,smontant,erreur);
    capremb:=smontant-interet;
    str(capremb:0:2,chaine);
    form1.stringgrid1.cells[2,n]:=chaine;
    caprest:=caprest-capremb;
    str(caprest:0:2,chaine);
    form1.stringgrid1.cells[3,n]:=chaine;
    end;
form1.coute;
{couttotal:=nbremb*montant;
coucredit:=couttotal-cap;}
end;

procedure Tform1.stringgrid2KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);

var n:byte;
variable:boolean;
valeur:string;
begin

valeur:=form1.stringgrid2.cells[1,1];
variable:=false;
for n:=2 to form1.stringgrid2.rowcount do if form1.stringgrid2.cells[1,n]<>valeur then variable:=true;
if variable then form1.rembours.text:='variable' else form1.rembours.text:=valeur;
end;

procedure Tform1.noBitBtn1Click(Sender: TObject);
var n,nombre:byte;
    valeur:string;
    rangee:integer;
begin
{quel est le stringrid slectionn ? le recopier n-1 fois}
nombre:=spinedit1.value-1;
rangee:=form1.stringgrid2.row;
valeur:=form1.stringgrid2.cells[1,rangee];
if rangee+nombre>form1.stringgrid2.rowcount-1 then
   begin
   form1.stringgrid2.rowcount:=rangee+nombre+1;
   for n:=1 to form1.stringgrid2.rowcount do form1.stringgrid2.cells[0,n]:=inttostr(n);
   end;
for n:=1 to nombre do
form1.stringgrid2.cells[1,rangee+n]:=valeur;
form1.nombre.text:=inttostr(form1.stringgrid2.rowcount-1);
end;

procedure Tform1.StringGrid2GetEditText(Sender: TObject; ACol,
  ARow: Integer; var Value: WideString);

begin
if stringgrid2.focused then
begin
form1.bitbtn1.enabled:=false;
form1.calcul.font.color:=clred;
rembours.text:='variable';
end;
end;

procedure Tform1.NoBtnClick(Sender: TObject);
var n:integer;
    nombre:extended;
    erreur:integer;
    chaine:string;
begin
couttotal:=0;
for n:=1 to nbremb do
    begin
    chaine:=form1.stringgrid2.cells[1,n];
    val(chaine,nombre,erreur);
    couttotal:=couttotal+nombre;
    end;
chaine:=form1.capital.text;
val(chaine,cap,erreur);
coucredit:=couttotal-cap;
end;

procedure TForm1.StringGrid3MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
var
  SRect: TGridRect;
begin
 srect:=form1.StringGrid3.Selection;
 SRect.Left := 0;
 SRect.Right := form1.StringGrid3.colcount-1;
 form1.StringGrid3.Selection := SRect;
end;

procedure TForm1.BitBtn8Click(Sender: TObject);
var   SRect: TGridRect;
      n:integer;
begin
srect:=form1.StringGrid3.Selection;
for n:= srect.top to srect.bottom do
detruitligne(srect.top);
end;

procedure TForm1.StringGrid3KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=key_delete then form1.bitbtn8click(sender);
end;

procedure TForm1.BitBtn7Click(Sender: TObject);
var n,numero:integer;
   SRect: TGridRect;
   adfraisannexe,adnombre,adcapital,admensualite,adcoutcredit:extended;
begin
srect:=form1.StringGrid3.Selection;
{addition des lignes...}
numero:=form1.stringgrid3.rowcount;
form1.stringgrid3.rowcount:=numero+1;
decimalseparator:='.';
adcapital:=0;
adfraisannexe:=0;
admensualite:=0;
adcoutcredit:=0;
adnombre:=0;
for n:= srect.top to srect.bottom do
    begin
    form1.stringgrid3.cells[0,numero]:=form1.stringgrid3.cells[0,numero]+
     '+'+form1.stringgrid3.cells[0,n];
    adcapital:=adcapital+strtofloat(form1.stringgrid3.cells[1,n]);
    admensualite:=admensualite+strtofloat(form1.stringgrid3.cells[3,n]);
    adcoutcredit:=adcoutcredit+strtofloat(form1.stringgrid3.cells[5,n]);
    adfraisannexe:=adfraisannexe+strtofloat(form1.stringgrid3.cells[6,n]);
    if strtofloat(form1.stringgrid3.cells[2,n])>adnombre then
        adnombre:=strtofloat(form1.stringgrid3.cells[2,n]);

    end;
form1.stringgrid3.cells[1,numero]:=floattostrf(adcapital,ffgeneral,15,2);
form1.stringgrid3.cells[2,numero]:=floattostrf(adnombre,ffgeneral,15,2);
form1.stringgrid3.cells[3,numero]:=floattostrf(admensualite,ffgeneral,15,2);
form1.stringgrid3.cells[5,numero]:=floattostrf(adcoutcredit,ffgeneral,15,2);
form1.stringgrid3.cells[6,numero]:=floattostrf(adfraisannexe,ffgeneral,15,2);
for n:= srect.top to srect.bottom do
    if form1.stringgrid3.cells[3,n]='variable'then form1.stringgrid3.cells[3,numero]:='variable';
{reste le TEG  recalculer... si et seulement si pas variable ########}
{1- nettoyer le tableau dtail
1bis- remplir nombre
2- remplir le tableau dtail
3- remplir capital et designation
4- frais annexes
5-calcul et remplissage}

end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=key_f1 then ;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
{aide}
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
 edit1.enabled:=false;
 actuariel.enabled:=true;
 label11.enabled:=false;
 label9.enabled:=true;
 label8.enabled:=true;
label10.enabled:=false;

end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
 edit1.enabled:=true;
 actuariel.enabled:=false;
 label9.enabled:=false;
 label11.enabled:=true;
  label10.enabled:=true;
label8.enabled:=false;
 end;



end.
